import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Maintains and displays the player's level.
 * 
 * @author Michael Berry
 * @version 29/05/08
 */
public class LevelText extends SmallText
{

    private int level;
    
    public LevelText()
    {
        super("Level");
        setColor(Color.YELLOW);
        level = 1;
        updateImage(Integer.toString(level));
    }
    
    /**
     * Increment the level
     */
    public void advanceLevel()
    {
        level++;
        updateImage(Integer.toString(level));
    }

}
